APIs under the /beta version in Microsoft Graph are subject to change. Use of these APIs in production applications is not supported. To determine whether an API is available in v1.0, use the Version selector.
Update multiple threat intelligence (TI) indicators in one request instead of multiple requests.
Permissions
One of the following permissions is required to call this API. To learn more, including how to choose permissions, see Permissions.
Permission type
Permissions (from least to most privileged)
Delegated (work or school account)
ThreatIndicators.ReadWrite.OwnedBy
Delegated (personal Microsoft account)
Not supported.
Application
ThreatIndicators.ReadWrite.OwnedBy
HTTP request
POST /security/tiIndicators/updateTiIndicators
Request headers
Name
Description
Authorization
Bearer {code}
Request body
In the request body, provide a JSON object with the following parameters. For details about properties that can be updated, see update tiIndicator. Required fields for each tiIndicator are: id, expirationDateTime, targetProduct.
Parameter
Type
Description
value
tiIndicator collection
Collection of tiIndicators to update. Each entity must have id and other editable properties to be updated.
Response
If successful, this method returns a 200 OK response code and a collection of tiIndicator objects in the response body. If there is an error, this method returns a 206 Partial Content response code. See Errors for more information.
GraphServiceClient graphClient = new GraphServiceClient( authProvider );
var value = new List<TiIndicator>()
{
new TiIndicator
{
Id = "c6fb948b-89c5-3bba-a2cd-a9d9a1e430e4",
AdditionalInformation = "mytest"
},
new TiIndicator
{
Id = "e58c072b-c9bb-a5c4-34ce-eb69af44fb1e",
AdditionalInformation = "test again"
}
};
await graphClient.Security.TiIndicators
.UpdateTiIndicators(value)
.Request()
.PostAsync();
Important
Microsoft Graph SDKs use the v1.0 version of the API by default, and do not support all the types, properties, and APIs available in the beta version. For details about accessing the beta API with the SDK, see Use the Microsoft Graph SDKs with the beta API.
Microsoft Graph SDKs use the v1.0 version of the API by default, and do not support all the types, properties, and APIs available in the beta version. For details about accessing the beta API with the SDK, see Use the Microsoft Graph SDKs with the beta API.
GraphServiceClient graphClient = GraphServiceClient.builder().authenticationProvider( authProvider ).buildClient();
LinkedList<TiIndicator> valueList = new LinkedList<TiIndicator>();
TiIndicator value = new TiIndicator();
value.id = "c6fb948b-89c5-3bba-a2cd-a9d9a1e430e4";
value.additionalInformation = "mytest";
valueList.add(value);
TiIndicator value1 = new TiIndicator();
value1.id = "e58c072b-c9bb-a5c4-34ce-eb69af44fb1e";
value1.additionalInformation = "test again";
valueList.add(value1);
TiIndicatorCollectionResponse tiIndicatorCollectionResponse = new TiIndicatorCollectionResponse();
tiIndicatorCollectionResponse.value = valueList;
TiIndicatorCollectionPage tiIndicatorCollectionPage = new TiIndicatorCollectionPage(tiIndicatorCollectionResponse, null);
graphClient.security().tiIndicators()
.updateTiIndicators(TiIndicatorUpdateTiIndicatorsParameterSet
.newBuilder()
.withValue(valueList)
.build())
.buildRequest()
.post();
Important
Microsoft Graph SDKs use the v1.0 version of the API by default, and do not support all the types, properties, and APIs available in the beta version. For details about accessing the beta API with the SDK, see Use the Microsoft Graph SDKs with the beta API.
//THE GO SDK IS IN PREVIEW. NON-PRODUCTION USE ONLY
graphClient := msgraphsdk.NewGraphServiceClient(requestAdapter)
requestBody := graphmodels.NewUpdateTiIndicatorsPostRequestBody()
:= graphmodels.New()
additionalData := map[string]interface{}{
"id" : "c6fb948b-89c5-3bba-a2cd-a9d9a1e430e4",
"additionalInformation" : "mytest",
}
.SetAdditionalData(additionalData)
:= graphmodels.New()
additionalData := map[string]interface{}{
"id" : "e58c072b-c9bb-a5c4-34ce-eb69af44fb1e",
"additionalInformation" : "test again",
}
.SetAdditionalData(additionalData)
value := []graphmodels.Objectable {
,
,
}
requestBody.SetValue(value)
result, err := graphClient.Security().TiIndicators().UpdateTiIndicators().Post(requestBody)
Important
Microsoft Graph SDKs use the v1.0 version of the API by default, and do not support all the types, properties, and APIs available in the beta version. For details about accessing the beta API with the SDK, see Use the Microsoft Graph SDKs with the beta API.
Import-Module Microsoft.Graph.Security
$params = @{
Value = @(
@{
Id = "c6fb948b-89c5-3bba-a2cd-a9d9a1e430e4"
AdditionalInformation = "mytest"
}
@{
Id = "e58c072b-c9bb-a5c4-34ce-eb69af44fb1e"
AdditionalInformation = "test again"
}
)
}
Update-MgSecurityTiIndicatorMultiple -BodyParameter $params
Important
Microsoft Graph SDKs use the v1.0 version of the API by default, and do not support all the types, properties, and APIs available in the beta version. For details about accessing the beta API with the SDK, see Use the Microsoft Graph SDKs with the beta API.
<?php
// THIS SNIPPET IS A PREVIEW FOR THE KIOTA BASED SDK. NON-PRODUCTION USE ONLY
$graphServiceClient = new GraphServiceClient($requestAdapter);
$requestBody = new UpdateTiIndicatorsPostRequestBody();
$value1 = new ();
$additionalData = [
'id' => 'c6fb948b-89c5-3bba-a2cd-a9d9a1e430e4',
'additionalInformation' => 'mytest',
];
$value1->setAdditionalData($additionalData);
$valueArray []= $value1;
$value2 = new ();
$additionalData = [
'id' => 'e58c072b-c9bb-a5c4-34ce-eb69af44fb1e',
'additionalInformation' => 'test again',
];
$value2->setAdditionalData($additionalData);
$valueArray []= $value2;
$requestBody->setValue($valueArray);
$requestResult = $graphServiceClient->security()->tiIndicators()->updateTiIndicators()->post($requestBody);
Important
Microsoft Graph SDKs use the v1.0 version of the API by default, and do not support all the types, properties, and APIs available in the beta version. For details about accessing the beta API with the SDK, see Use the Microsoft Graph SDKs with the beta API.
The response object shown here might be shortened for readability.
HTTP/1.1 200 OK
Content-type: application/json
{
"value": [
{
"@odata.type": "#microsoft.graph.tiIndicator",
"id": "c6fb948b-89c5-3bba-a2cd-a9d9a1e430e4",
"azureTenantId": "XXXXXXXXXXXXXXXXXX",
"action": null,
"additionalInformation": "mytest",
"activityGroupNames": [],
"confidence": 0,
"description": "This is a test indicator for demo purpose. Take no action on any observables set in this indicator.",
}
]
}